Bug 208213 - [PATCH] textproc/sigil: Update to version 0.9.5
Summary: [PATCH] textproc/sigil: Update to version 0.9.5
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-22 18:34 UTC by tkato432
Modified: 2016-07-04 08:32 UTC (History)
0 users

See Also:


Attachments
textproc_sigil.diff (3.97 KB, patch)
2016-03-22 18:34 UTC, tkato432
no flags Details | Diff
textproc_sigil.diff (2.39 KB, patch)
2016-03-25 19:00 UTC, tkato432
no flags Details | Diff
textproc_sigil.diff (2.39 KB, patch)
2016-03-27 18:30 UTC, tkato432
no flags Details | Diff
textproc_flightcrew.shar (4.45 KB, text/plain)
2016-04-07 20:30 UTC, tkato432
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2016-03-22 18:34:10 UTC
Created attachment 168505 [details]
textproc_sigil.diff
Comment 1 Mathieu Arnold freebsd_committer 2016-03-23 13:52:09 UTC
Why not create a separate port for FlightCrew ? It looks like you're just building it on the side, without any links with Sigil at all.
Comment 2 tkato432 2016-03-24 10:30:08 UTC
- FlightCrew was a part of Sigil in previous versions.
- Sigil would be the only consumer of FlightCrew at present.
- Most of dependencies are shared between each of them.
- Someone once told me that new addition (including repo-copy) of
  "no person claims the exclusive right" port is strictly prohibited.

Since it is certain to be seen as somewhat eccentric design, I would like
to resubmit the stripped-down version if you have difficulty in accepting
the current state.
Comment 3 Mathieu Arnold freebsd_committer 2016-03-24 12:20:08 UTC
Mmmm, well, creating a new port is forbidden, yes, this is more of a split.

Could you provide a new patch with the sigil port, and the FlightCrew new port ? (no need to open a new PR)
Comment 4 Mathieu Arnold freebsd_committer 2016-03-24 12:28:15 UTC
Also, I don't have difficulties with this version.

I found something strange and asked about it, it's all :-)
Comment 5 tkato432 2016-03-25 19:00:09 UTC
Created attachment 168626 [details]
textproc_sigil.diff

It will take some more time to finish porting FlightClue. We had better
focus on upgrading Sigil at the moment.
Comment 6 Jan Beich freebsd_committer 2016-03-27 12:18:50 UTC
0.9.5 is already available. No plist changes since 0.9.4.
https://sigil-ebook.com/2016/03/13/sigil-0-9-4-released/
https://sigil-ebook.com/2016/03/26/sigil-0-9-5-released/
Comment 7 tkato432 2016-03-27 18:30:08 UTC
Created attachment 168698 [details]
textproc_sigil.diff

Version 0.9.5 has been released.
Comment 8 Mathieu Arnold freebsd_committer 2016-04-01 15:57:14 UTC
Committed. Thanks!
Comment 9 commit-hook freebsd_committer 2016-04-01 15:58:41 UTC
A commit references this bug:

Author: mat
Date: Fri Apr  1 15:57:44 UTC 2016
New revision: 412359
URL: https://svnweb.freebsd.org/changeset/ports/412359

Log:
  Update to 0.9.5.

  PR:		208213
  Submitted by:	tkato432 yahoo com
  Sponsored by:	Absolight

Changes:
  head/textproc/sigil/Makefile
  head/textproc/sigil/distinfo
  head/textproc/sigil/pkg-plist
Comment 10 tkato432 2016-04-07 20:30:07 UTC
Created attachment 169091 [details]
textproc_flightcrew.shar

Here is a experimental port of FlightCrew.
Comment 11 Mathieu Arnold freebsd_committer 2016-04-07 22:14:17 UTC
(bugzilla forces me to add a comment, so I'm adding a comment.)
Comment 12 Mathieu Arnold freebsd_committer 2016-04-08 10:34:26 UTC
Could you also provide a patch for sigil to use flightcrew ?
Comment 13 tkato432 2016-04-08 12:30:10 UTC
In this case, I suppose there is no need to change anything to sigil
port. It would probably be enough to add conditional RUN_DEPENDS to
flightcrew port when PLUGINS option is enabled. To tell the truth, I
have been totally forgotten about that.